GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
String | getShipmentReference ()
void | setShipmentReference (String value)
String | getShipmentUnitReference ()
void | setShipmentUnitReference (String value)
String | getParcelNumber ()
void | setParcelNumber (String value)
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)
Date | getDateFrom ()
void | setDateFrom (Date value)
Date | getDateTo ()
void | setDateTo (Date value)

## Protected Attributes
String | trackID
String | shipmentReference
String | shipmentUnitReference
String | parcelNumber
String | partnerParcelNumber
Date | dateFrom
Date | dateTo

## Detailed Description

ReferenceData attributes (searchParcelStatus request)

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <choice>
              <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
              <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber"/>
              <element name="ShipmentUnitReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber"/>
              <element name="ParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
              <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
            </choice>
            <element name="DateFrom" type="{http://www.w3.org/2001/XMLSchema}date"/>
            <element name="DateTo" type="{http://www.w3.org/2001/XMLSchema}date"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 56 of file TULReferenceData.java.

## Member Function Documentation

## ◆ getDateFrom()

Date eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.getDateFrom | ( |  | ) |

Gets the value of the dateFrom property.

Returns
  possible object is String

Definition at line 205 of file TULReferenceData.java.

## ◆ getDateTo()

Date eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.getDateTo | ( |  | ) |

Gets the value of the dateTo property.

Returns
  possible object is String

Definition at line 229 of file TULReferenceData.java.

## ◆ getParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.getParcelNumber | ( |  | ) |

Gets the value of the parcelNumber property.

Returns
  possible object is String

Definition at line 157 of file TULReferenceData.java.

## ◆ getPartnerParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 181 of file TULReferenceData.java.

## ◆ getShipmentReference()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

Returns
  possible object is String

Definition at line 109 of file TULReferenceData.java.

## ◆ getShipmentUnitReference()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.getShipmentUnitReference | ( |  | ) |

Gets the value of the shipmentUnitReference property.

Returns
  possible object is String

Definition at line 133 of file TULReferenceData.java.

## ◆ getTrackID()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 85 of file TULReferenceData.java.

## ◆ setDateFrom()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.setDateFrom | ( | Date | value | ) |

Sets the value of the dateFrom property.

Parameters

  value | allowed object is String

Definition at line 217 of file TULReferenceData.java.

## ◆ setDateTo()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.setDateTo | ( | Date | value | ) |

Sets the value of the dateTo property.

Parameters

  value | allowed object is String

Definition at line 241 of file TULReferenceData.java.

## ◆ setParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.setParcelNumber | ( | String | value | ) |

Sets the value of the parcelNumber property.

Parameters

  value | allowed object is String

Definition at line 169 of file TULReferenceData.java.

## ◆ setPartnerParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 193 of file TULReferenceData.java.

## ◆ setShipmentReference()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.setShipmentReference | ( | String | value | ) |

Sets the value of the shipmentReference property.

Parameters

  value | allowed object is String

Definition at line 121 of file TULReferenceData.java.

## ◆ setShipmentUnitReference()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.setShipmentUnitReference | ( | String | value | ) |

Sets the value of the shipmentUnitReference property.

Parameters

  value | allowed object is String

Definition at line 145 of file TULReferenceData.java.

## ◆ setTrackID()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 97 of file TULReferenceData.java.

## Member Data Documentation

## ◆ dateFrom

Date eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.dateFrom
| protected

Definition at line 71 of file TULReferenceData.java.

## ◆ dateTo

Date eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.dateTo
| protected

Definition at line 75 of file TULReferenceData.java.

## ◆ parcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.parcelNumber
| protected

Definition at line 65 of file TULReferenceData.java.

## ◆ partnerParcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.partnerParcelNumber
| protected

Definition at line 67 of file TULReferenceData.java.

## ◆ shipmentReference

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.shipmentReference
| protected

Definition at line 61 of file TULReferenceData.java.

## ◆ shipmentUnitReference

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.shipmentUnitReference
| protected

Definition at line 63 of file TULReferenceData.java.

## ◆ trackID

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TULReferenceData.trackID
| protected

Definition at line 59 of file TULReferenceData.java.

The documentation for this class was generated from the following file:

- TULReferenceData.java